<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/black"
    android:orientation="vertical"
    >

    <RelativeLayout
        android:id="@+id/download"
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:gravity="center"
            >
            <TextView
                android:id="@+id/downloadText"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="20dp"
                android:layout_marginStart="10dp"
                android:layout_marginEnd="10dp"
                android:textSize="13sp"
                android:textColor="#FFFFFFFF"
                android:fontFamily="Roboto"
                android:textAlignment="center"
                />

            <TextView
                android:id="@+id/downloadProgressText"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp"
                android:layout_marginStart="10dp"
                android:layout_marginEnd="10dp"
                android:textSize="18sp"
                android:textColor="#FFFFFFFF"
                android:fontFamily="Roboto"
                android:textAlignment="center"
                />
        </LinearLayout>

        <ProgressBar
            android:id="@+id/downloadProgressBar"
            android:layout_width="match_parent"
            android:layout_height="30dp"
            android:layout_marginStart="10dp"
            android:layout_marginEnd="10dp"
            android:paddingStart="12dp"
            android:paddingEnd="12dp"
            android:layout_alignParentBottom="true"
            android:background="@drawable/button_shape"
            android:progressTint="#FF0DA8FF"
            android:progressBackgroundTint="@color/white"
            style="?android:attr/progressBarStyleHorizontal"
            android:max="100"
            >
        </ProgressBar>
    </RelativeLayout>


    <RelativeLayout
        android:id="@+id/install"
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:gravity="center"
            >
            <TextView
                android:id="@+id/installText"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp"
                android:layout_marginStart="10dp"
                android:layout_marginEnd="10dp"
                android:textSize="13sp"
                android:textColor="#FFFFFFFF"
                android:fontFamily="Roboto"
                android:textAlignment="center"
                />

            <TextView
                android:id="@+id/installProgressText"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp"
                android:layout_marginStart="10dp"
                android:layout_marginEnd="10dp"
                android:textSize="18sp"
                android:textColor="#FFFFFFFF"
                android:fontFamily="Roboto"
                android:textAlignment="center"
                />

            <TextView
                android:id="@+id/installHintText"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp"
                android:layout_marginStart="12dp"
                android:layout_marginEnd="12dp"
                android:textSize="13sp"
                android:textColor="#FF686868"
                android:fontFamily="Roboto"
                android:textAlignment="center"
                />
        </LinearLayout>

        <ProgressBar
            android:id="@+id/installProgressBar"
            android:layout_width="match_parent"
            android:layout_height="30dp"
            android:layout_marginStart="10dp"
            android:layout_marginEnd="10dp"
            android:paddingStart="12dp"
            android:paddingEnd="12dp"
            android:layout_alignParentBottom="true"
            android:background="@drawable/button_shape"
            android:progressTint="#FF0DA8FF"
            android:progressBackgroundTint="@color/white"
            style="?android:attr/progressBarStyleHorizontal"
            android:max="100"
            >
        </ProgressBar>
    </RelativeLayout>


    <RelativeLayout
        android:id="@+id/retry"
        android:layout_width="match_parent"
        android:layout_height="match_parent">
        <TextView
            android:id="@+id/retryText"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerHorizontal="true"
            android:layout_centerVertical="true"
            android:layout_marginStart="14dp"
            android:layout_marginEnd="14dp"
            android:textSize="13sp"
            android:textColor="#FFFFFFFF"
            android:fontFamily="Roboto"
            android:textAlignment="center"
            />

        <Button
            android:id="@+id/retryButton"
            android:layout_width="match_parent"
            android:layout_height="30dp"
            android:layout_marginStart="5dp"
            android:layout_marginEnd="5dp"
            android:layout_alignParentBottom="true"
            android:background="@drawable/button_shape"
            android:textColor="#FF0DA8FF"
            >
        </Button>
    </RelativeLayout>

</RelativeLayout>